Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class MailtoPath

    java.lang.Object
      |
      +--com.caucho.vfs.Path
            |
            +--com.caucho.vfs.MailtoPath

public class MailtoPath
extends Path

Field Summary
`protected java.lang.String` | `url`

Fields inherited from class com.caucho.vfs.Path
`schemeMap`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)` Gets an attribute of the object.
`java.lang.String` | `getPath()` Returns the path.
`java.lang.String` | `getScheme()` Returns the url scheme
`java.lang.String` | `getURL()` Returns the full url for the given path.
`StreamImpl` | `openWriteImpl()`
`protected Path` | `schemeWalk(java.lang.String userPath, java.util.Map attributes, java.lang.String uri, int offset)` Path-specific lookup.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Sets an attribute of the path.

Methods inherited from class com.caucho.vfs.Path
`bind, canRead, canWrite, createNewFile, createRoot, createTempFile, equals, exists, getAttributeNames, getContentType, getFullPath, getHost, getLastModified, getLength, getNativePath, getParent, getPort, getQuery, getTail, getUserPath, getValue, isDirectory, isFile, isObject, iterator, list, lookup, lookup, lookupNative, lookupNative, mkdir, mkdirs, openAppend, openAppendImpl, openRead, openReadImpl, openReadWrite, openReadWriteImpl, openWrite, remove, removeAttribute, renameTo, renameTo, scanScheme, setLastModified, setUserPath, setValue, toString, unbind, writeToStream`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### url

    protected java.lang.String url

Method Detail

### schemeWalk

    protected Path schemeWalk(java.lang.String userPath,
                              java.util.Map attributes,
                              java.lang.String uri,
                              int offset)

  Description copied from class: `Path`
  Path-specific lookup. Path implementations will override this.
  Overrides:
    `schemeWalk` in class `Path`
  Following copied from class: `com.caucho.vfs.Path`
  Parameters:
    `userPath` - the user's lookup() path.
    `newAttributes` - the attributes for the new path.
    `newPath` - the lookup() path
    `offset` - offset into newPath to start lookup.
  Returns:
    the found path

### getURL

    public java.lang.String getURL()

  Description copied from class: `Path`
  Returns the full url for the given path.
  Overrides:
    `getURL` in class `Path`

### getScheme

    public java.lang.String getScheme()

  Description copied from class: `Path`
  Returns the url scheme
  Overrides:
    `getScheme` in class `Path`

### getPath

    public java.lang.String getPath()

  Description copied from class: `Path`
  Returns the path. e.g. for HTTP, returns the part after the host and port.
  Overrides:
    `getPath` in class `Path`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Description copied from class: `Path`
  Sets an attribute of the path.
  Overrides:
    `setAttribute` in class `Path`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Description copied from class: `Path`
  Gets an attribute of the object.
  Overrides:
    `getAttribute` in class `Path`

### openWriteImpl

    public StreamImpl openWriteImpl()
                             throws java.io.IOException

  Overrides:
    `openWriteImpl` in class `Path`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD